/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.15-3
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:    
Works with Arduino 2.3.4 IDE  
NOTE: test OK:ESP32-WROOM-32 
***********************************************************************************************************************/
/*  == Hardward SPI to ESP32  ==
    OLED   =>    ESP32
  *1. GND       ->    GND
  *2. VCC       ->    3.3 
  *3. SCK       ->    18  
  *4. SDI       ->    23  
  *5. RES       ->    16   
  *6. A0/DC     ->    17  
  *7. CS        ->    5 
*/
#include "OLED_Driver.h"
#include "OLED_GUI.h"
#include "DEV_Config.h"
#include "Show_Lib.h"
#include "Debug.h"
#include <SPI.h>
#include <Arduino.h>

extern OLED_DIS sOLED_DIS;
void setup()
{
  System_Init();

  Serial.println("OLED Init ");
  OLED_SCAN_DIR OLED_ScanDir = SCAN_DIR_DFT;
  OLED_Init( OLED_ScanDir );

  Serial.println("OLED_Show ");
  GUI_Show();
  
   Serial.println("OLED Clear ");
  OLED_ClearScreen(OLED_BACKGROUND);//OLED_BACKGROUND
  OLED_ClearBuf();
  GUI_DisGrayMap(1,1,gImage_P);
  OLED_Display(0, 0, sOLED_DIS.OLED_Dis_Column, sOLED_DIS.OLED_Dis_Page);
  Driver_Delay_ms(3000);

   Serial.println("OLED Clear ");
  OLED_ClearScreen(OLED_BACKGROUND);//OLED_BACKGROUND
  OLED_ClearBuf();
  GUI_DisGrayMap(1,1,gImage_PA);
  OLED_Display(0, 0, sOLED_DIS.OLED_Dis_Column, sOLED_DIS.OLED_Dis_Page);
  Driver_Delay_ms(3000);


  Serial.println("OLED Clear ");
  OLED_ClearScreen(OLED_BACKGROUND);//OLED_BACKGROUND
  OLED_ClearBuf(); 
  GUI_Disbitmap(1,1,gImage_P2 , 128, 128);
  OLED_Display(0, 0, sOLED_DIS.OLED_Dis_Column, sOLED_DIS.OLED_Dis_Page);
  Driver_Delay_ms(3000);

  Serial.println("OLED Clear ");
  OLED_ClearScreen(OLED_BACKGROUND);//OLED_BACKGROUND
  OLED_ClearBuf();

  Serial.print("Show Pic\r\n");
  GUI_Disbitmap(1  , 2, Signal816  , 16, 8);
  GUI_Disbitmap(24 , 2, Bluetooth88, 8 , 8);
  GUI_Disbitmap(40 , 2, Msg816     , 16, 8);
  GUI_Disbitmap(64 , 2, GPRS88     , 8 , 8);
  GUI_Disbitmap(90 , 2, Alarm88    , 8 , 8);
  GUI_Disbitmap(112, 2, Bat816     , 16, 8);

  Serial.print("Show 16 Gray Map\r\n");
  GUI_DisGrayMap(1,63,gImage_P1);

  GUI_DisString_EN(1 , 46, "www.buydisplay.com", &Font12, FONT_BACKGROUND, WHITE);

  OLED_Display(0, 0, sOLED_DIS.OLED_Dis_Column, sOLED_DIS.OLED_Dis_Page);
  

}

void loop()
{
  uint8_t sec = 0;
  DEV_TIME sDev_time;
  sDev_time.Hour = 12;
  sDev_time.Min = 34;
  sDev_time.Sec = 56;
  Serial.print("Show time\r\n");
  for (;;) {
    sec++;
    sDev_time.Sec = sec;
    if (sec == 60) {
      sDev_time.Min = sDev_time.Min + 1;
      sec = 0;
      if (sDev_time.Min == 60) {
        sDev_time.Hour =  sDev_time.Hour + 1;
        sDev_time.Min = 0;
        if (sDev_time.Hour == 24) {
          sDev_time.Hour = 0;
          sDev_time.Min = 0;
          sDev_time.Sec = 0;
        }
      }
    }
    GUI_Showtime(0, 22, 127, 47, &sDev_time, WHITE);
    Driver_Delay_ms(1000);//Analog clock 1s
  }
}

/*********************************************************************************************************
  END FILE
*********************************************************************************************************/

